\name{plotk}
\alias{plotk}

\title{
A subfunction called by group_plot 
}
\description{
This function divides a bias factor into bins and make a plot against gene expresison levels.
}
\usage{
plotk(x, y, minval, maxval, type, grpn = 500)
}

\arguments{
  \item{x}{
a numeric vector to partition into bins, usually a bias factor such as GC content.
}
  \item{y}{
a numeric vector to plot on y-axis, usually log(RPKM)
}
  \item{minval}{
lower limit of y coordinate range.
}
  \item{maxval}{
upper limit of y coordinate range.
}
  \item{type}{
a character string with values "bin" or "median", indicating the type of plots to make. If \code{type} = "median" (default), plots with median exp level against median bias level for each bin will be generated. If \code{type} = "bin", plots with median exp level against the bin index of bias factors will be generated. 
}
  \item{grpn}{
Number of genes in each bin. Default is 500.
}
}
\details{
only for internal use. argument values passed through \code{\link{group_plot}}
}
\value{
A dataframe with two columns: xvalues to plot and yvalues to plot. A scatter plot with a lowess fitted line is also generated.
}
\references{

}
\author{
Wei Zheng, Lisa Chung, Hongyu Zhao
}
\note{

}



\seealso{
See Also \code{\link{group_plot}}
}
